package cn.com.capcloud.core.lucene;

import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.store.Directory;

/**
 * @Author LiaoJiaHui
 * @Create 2024/9/6 10:01
 */
public class LuceneInfo {
    private Directory directory;//目录
    private Analyzer analyzer;//分析器

    public Directory getDirectory() {
        return directory;
    }

    public void setDirectory(Directory directory) {
        this.directory = directory;
    }

    public Analyzer getAnalyzer() {
        return analyzer;
    }

    public void setAnalyzer(Analyzer analyzer) {
        this.analyzer = analyzer;
    }
}
